## org.hibernate.service.jta.platform.internal
Class JBossStandAloneJtaPlatform

    java.lang.Object
      org.hibernate.service.jta.platform.internal.AbstractJtaPlatform
          org.hibernate.service.jta.platform.internal.JBossStandAloneJtaPlatform

All Implemented Interfaces:
  Serializable, TransactionManagerAccess, JtaPlatform, Service, Configurable, ServiceRegistryAwareService

    public class JBossStandAloneJtaPlatform

extends AbstractJtaPlatform

Return a standalone JTA transaction manager for JBoss Transactions Known to work for org.jboss.jbossts:jbossjta:4.9.0.GA

See Also:
  Serialized Form

Constructor Summary
`JBossStandAloneJtaPlatform()`

Method Summary
`protected TransactionManager` `locateTransactionManager()`
`protected UserTransaction` `locateUserTransaction()`

Methods inherited from class org.hibernate.service.jta.platform.internal.AbstractJtaPlatform
`canCacheTransactionManager, canCacheUserTransaction, canRegisterSynchronization, configure, getCurrentStatus, getSynchronizationStrategy, getTransactionIdentifier, getTransactionManager, injectServices, jndiService, registerSynchronization, retrieveTransactionManager, retrieveUserTransaction, serviceRegistry`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JBossStandAloneJtaPlatform

    public JBossStandAloneJtaPlatform()

Method Detail

### locateTransactionManager

    protected TransactionManager locateTransactionManager()

  Specified by:
    `locateTransactionManager` in class `AbstractJtaPlatform`

### locateUserTransaction

    protected UserTransaction locateUserTransaction()

  Specified by:
    `locateUserTransaction` in class `AbstractJtaPlatform`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.